View Bug Details

IDProjectCategoryView StatusLast Update
0001419DCP-o-matic[All Projects] Bugspublic2018-12-11 22:13
ReporterCarstenAssigned Tocarl 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformMacOSOS XOS Version10.12
Product Version2.13.x 
Target Version2.13.xFixed in Version 
Summary0001419: Player 2.13.72 shows programming error ofter opening DCP
Description

I opened a commercial trailer DCP that did not cause problems in previous versions of DCP-o-matic player. In 2.13.72, I get a 'programming error at ../src/lib/film.cc:539' after 'Loading content'. Same with a different trailer.

After quitting that error dialog, I can play the DCP without obvious issues.

  • Carsten
TagsNo tags attached.
Estimated work requiredUnknown

Activities

Carsten

2018-11-26 22:12

manager  

Carsten

2018-11-27 20:15

manager   ~0002781

And the same happens in player 2.13.72 WIN64

  • Carsten

Carsten

2018-12-07 00:13

manager   ~0002794

Still present in 2.13.81:



carl

2018-12-07 01:05

administrator   ~0002795

Strange... can you attach or send me your /Users/your_user_Name/Library/Preferences/com.dcpomatic/2 folder?

Carsten

2018-12-07 12:06

manager   ~0002796

I can - but besides it happening on my Mac, it also happens on two WIN7/64 installations the same way. In 2.13.72, it is line 539, in 2.13.81, it is line 537. Appears right when 'Loading Content' disappears, and when I quit that error message, all seems to work normal.
On my Mac, is was a commercial trailer (Star Wars), in windows, I just saw the same behaviour with a Sintel created with the same DCP-o-matic version. Basically, it happens with every DCP I load into the player.

  • Carsten

carl

2018-12-11 22:13

administrator   ~0002805

Only happens when automatic audio analysis is turned on. Fixed in 00c2ef1c0aa3bc4ada8c8b86d7cbbec522e4844b

Bug History

Date Modified Username Field Change
2018-11-26 22:12 Carsten New Bug
2018-11-26 22:12 Carsten Status new => assigned
2018-11-26 22:12 Carsten Assigned To => carl
2018-11-26 22:12 Carsten File Added: Bildschirmfoto 2018-11-26 um 23.07.35.png
2018-11-27 11:44 Carsten Description Updated View Revisions
2018-11-27 20:15 Carsten Note Added: 0002781
2018-12-07 00:13 Carsten File Added: Bildschirmfoto 2018-12-07 um 01.12.29.png
2018-12-07 00:13 Carsten Note Added: 0002794
2018-12-07 01:05 carl Status assigned => feedback
2018-12-07 01:05 carl Note Added: 0002795
2018-12-07 12:06 Carsten Note Added: 0002796
2018-12-07 12:06 Carsten Status feedback => assigned
2018-12-11 22:13 carl Status assigned => resolved
2018-12-11 22:13 carl Resolution open => fixed
2018-12-11 22:13 carl Note Added: 0002805